Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class SessionBeanMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.SessionBeanMethodChecker

public class SessionBeanMethodChecker
extends BeanMethodChecker

Checks the methods of a session bean. Reference: Enterprise JavaBeansTM Specification,Version 2.0, section 7.10.2.

Author:
  Rick Giles

Constructor Summary
`SessionBeanMethodChecker(SessionBeanCheck aCheck)` Creates a method checker for a session bean check.

Method Summary
`protected void` | `checkCreateMethod(DetailAST aMethodAST)` Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.
`void` | `checkMethods(DetailAST aAST)` Checks that the methods of a component satisfy requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker
`checkMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionBeanMethodChecker

    public SessionBeanMethodChecker(SessionBeanCheck aCheck)

  Creates a method checker for a session bean check.

Parameters:
  `aCheck` - the session bean check.

Method Detail

### checkMethods

    public void checkMethods(DetailAST aAST)

  Description copied from class: `MethodChecker`
  Checks that the methods of a component satisfy requirements.

  Overrides:
    `checkMethods` in class `MethodChecker`
  Parameters:
    `aAST` - the AST for the component definition.
  See Also:
    `MethodChecker`

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Description copied from class: `BeanMethodChecker`
  Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.

  Overrides:
    `checkCreateMethod` in class `BeanMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.
  See Also:
    `BeanMethodChecker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD